<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>View Stduent Details |  Admin Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description">
        <meta content="Coderthemes" name="author">
        <!-- App favicon -->
        <link rel="shortcut icon" href="../img/favicon.ico">

        <!-- App css -->
        <link href="../css/icons.min.css" rel="stylesheet" type="text/css">
        <link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style">
        <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style">

    </head>
    

    <body class="loading" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
        <!-- Begin page -->
        <div class="wrapper">
            <!-- ========== Left Sidebar Start ========== -->
            <div class="leftside-menu">

                <!-- LOGO -->
                <a href="./adminDashboard" class="logo text-center logo-light">
                    <span class="logo-lg">
                        <img src="../img/logo_sm.png" alt="" height="16">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/logo_sm.png" alt="" height="16">
                    </span>
                </a>

                <!-- LOGO -->
                <a href="./adminDashboard" class="logo text-center logo-dark">
                    <span class="logo-lg">
                        <img src="../img/logo-dark.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/logo_sm_dark.png" alt="" height="40">
                    </span>
                </a>

                <div class="h-100" id="leftside-menu-container" data-simplebar="">

                    <!--- Sidemenu -->
                    <ul class="side-nav">

                        <li class="side-nav-title side-nav-item">Navigation</li>

                        <li class="side-nav-item">
                            <a data-bs-toggle="collapse" href="#sidebarDashboards" aria-expanded="false" aria-controls="sidebarDashboards" class="side-nav-link">
                                <i class="uil-users-alt"></i>
                                <span class="badge bg-success float-end">2</span>
                                <span> User Details </span>
                            </a>
                            <div class="collapse" id="sidebarDashboards">
                              <ul class="side-nav-second-level">
                                <li>
                                  <a href="./adminDashboard">Student Details</a>
                                </li>

                                <li>
                                  <a href="./staffManage">Staff Details</a>
                                </li>
                              </ul>
                            </div>
                        </li>

                        <li class="side-nav-item">
                            <a href="./ccaManage" class="side-nav-link">
                                <i class="uil-table"></i>
                                <span> CCA Management </span>
                            </a>
                        </li>

                        <li class="side-nav-item">
                            <a href="./adminabout" class="side-nav-link">
                                <i class="uil-exclamation-circle"></i>
                                <span> About </span>
                            </a>
                        </li>
                    </ul>

                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->

            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    <!-- Topbar Start -->
                    <div class="navbar-custom">
                        <ul class="list-unstyled topbar-menu float-end mb-0">                          

                            <li class="dropdown notification-list">
                                <a class="nav-link dropdown-toggle nav-user arrow-none me-0" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                    <span class="account-user-avatar">
                                        <img src="userImages/<%= admin.photo %>" alt="user-image" class="rounded-circle">
                                    </span>
                                    <span>
                                        <span class="account-user-name"><%= admin.name %></span>
                                        <span class="account-position"><%= admin.role%></span>
                                    </span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
                                    <!-- item-->
                                    <div class=" dropdown-header noti-title">
                                        <h6 class="text-overflow m-0">Welcome !</h6>
                                    </div>

                                    <!-- item-->
                                    <a href="./setting" class="dropdown-item notify-item">
                                        <i class="mdi mdi-account-edit me-1"></i>
                                        <span>Settings</span>
                                    </a>

                                    <!-- item-->
                                    <a href="/logout" class="dropdown-item notify-item">
                                        <i class="mdi mdi-logout me-1"></i>
                                        <span>Logout</span>
                                    </a>
                                </div>
                            </li>

                        </ul>
                        <button class="button-menu-mobile open-left">
                            <i class="mdi mdi-menu"></i>
                        </button>
                    </div>
                    <!-- end Topbar -->

                    <div class="row">
                      <div class="col-12">
                          <h4 class="mb-4">Staff Details</h4>
                      </div> <!-- end col -->

                        <div class="row">
                          <div class="col-sm-12">
                              <!-- Profile -->
                              <div class="card bg-primary">
                                  <div class="card-body profile-user-box">
                                      <div class="row">
                                          <div class="col-sm-8">
                                              <div class="row align-items-center">
                                                  <div class="col-auto">
                                                      <div class="avatar-lg">
                                                          <img src="userImages/<%= staff.photo %>" alt="" class="rounded-circle img-thumbnail">
                                                      </div>
                                                  </div>
                                                  <div class="col">
                                                      <div class="spacing">
                                                          <h4 class="mt-1 mb-2 text-white">Name: <%= staff.name%></h4>
                                                          <p class="font-13 text-white-50"> Email: <%= staff.email%></p>
                                                          <p class="font-13 text-white-50"> Designation: <%= staff.designation%></p>
                                                          <p class="font-13 text-white-50"> Employee ID: <%= staff.userid%></p>
                                                          <p class="font-13 text-white-50"> Enrollment Year: <%= staff.joinedYear%></p>
                                                          <button type="button"  data-bs-toggle="modal" data-bs-target="#standard-modal"><i class="mdi mdi-delete"></i></button>
                                                          <div id="standard-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel" aria-hidden="true">
                                                            <div class="modal-dialog">
                                                                <div class="modal-content">
                                                                    <div class="modal-header">
                                                                        <h4 class="modal-title" id="standard-modalLabel">Confirm Delete</h4>
                                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
                                                                    </div>
                                                                    <div class="modal-body">
                                                                        <p>Are you sure you want to delete this user?</p>
                                                                    </div>
                                                                    <div class="modal-footer">
                                                                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                                                        <button type="button"><a href="/delete-staff?id=<%= staff._id %>">Delete</a></button>
                                                                    </div>
                                                                </div><!-- /.modal-content -->
                                                            </div><!-- /.modal-dialog -->
                                                        </div><!-- /.modal -->

                                                      </div>
                                                  </div>
                                              </div>
                                          </div> <!-- end col-->

                                          <div class="col-sm-4">
                                                <div class="text-center mt-sm-0 mt-3 text-sm-end">
                                                    <button type="button" class="btn btn-light" onclick="win"> <a href="/editStaff?id=<%= staff._id%>"><i class="mdi mdi-account-edit me-1"></i> Edit Profile</a>

                                                    </button>
                                                </div>

                                            </div> <!-- end col-->
                                        </div> <!-- end row -->

                                      </div> <!-- end row -->
                                    </div> <!-- end card-body/ profile-user-box-->
                                </div><!--end profile/ card -->
                            </div> <!-- end col-->
                        </div>
                      <!-- end row -->
                      </div>
                        <!-- end row -->

                        <!-- Start Content-->
                        <div class="container-fluid">
                            <div class="row">
                                <div class="card">
                                  <div class="card-body">
                                    <h4 class="header-title">Event List</h4>
                                    <hr>
                                      <table id="scroll-horizontal-datatable" class="table w-100 nowrap"">
                                          <thead>
                                            <tr>
                                              <th>Event</th>
                                              <th>Status</th>
                                              <th>Remarks</th>
                                              <th>Date&Time</th>
                                              <th></th>
                                            </tr>
                                          </thead>

                                          <tbody>
                                            <%
                                                if(event.length > 0){
                                                    for(let i=0; i<event.length; i++){
                                                        %>
                                                        <tr>
                                                            <td><%= event[i].eventName %></td>
                                                            <td><%= event[i].status%></td>
                                                            <td><%= event[i].remarks %></td>                
                                                            <td><%= event[i].datetime %></td>
                                                                    
                                                            <!-- <td> <a href="/viewMore?id=<%= event[i]._id%>"><i class="fa fa-eye" aria-hidden="true"></i></a> </td> -->
                                                            <!-- <td> <a href="/editStudent?id=<%= event[i]._id %>"><i class="fa fa-pencil" aria-hidden="true"></i></a></td>
                                                            <td> <a href="/delete-user?id=<%= event[i]._id %>"><i class="fa fa-trash" aria-hidden="true"></i></a> </td> -->
                                                            <td> <a href="./eventDetails?id=<%= event[i]._id%>"> <i class="mdi mdi-eye"></i> </a> </td>
                                                            <!-- <td><a href="/admin/delete-user?id=<%= event[i]._id %>"">Delete</a></td> -->
                                                            
                                                        </tr>
                                                        <%
                                                    }
                                                }
                                                else{
                                                    %>
                                                        <tr>
                                                            <td colspan="5">No request so far</td>
                                                        </tr>
                                                    <%
                                                }
                                            %>
																			
                                          </tbody>
                                        </table>
                                      </div>
                                    </div>
                                  </div>
                                </div>

                    </div> <!-- container -->

                </div> <!-- content -->

                <!-- Footer Start -->
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6">
                                <script>document.write(new Date().getFullYear())</script> © GCIT
                            </div>
                            
                        </div>
                    </div>
                </footer>
                <!-- end Footer -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->        

        <!-- bundle -->
        <script src="../js/vendor.min.js"></script>
        <script src="../js/app.min.js"></script>

    </body>
</html>

